summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPatrick Lauer <patrick@gentoo.org>2019-08-25 16:44:13 +0200
committerPatrick Lauer <patrick@gentoo.org>2019-08-25 16:44:36 +0200
commit086077afa79e55f21c9285dec27752f18a34833b (patch)
tree7a1816311fbd126ecfe52c56d6d7b560442386bd
parentsys-libs/glibc: add kernel 2.6.16 compatibility patch. (diff)
downloadgentoo-086077afa79e55f21c9285dec27752f18a34833b.tar.gz
gentoo-086077afa79e55f21c9285dec27752f18a34833b.tar.bz2
gentoo-086077afa79e55f21c9285dec27752f18a34833b.zip
sci-mathematics/gmp-ecm: Bump
Package-Manager: Portage-2.3.72, Repoman-2.3.17 Signed-off-by: Patrick Lauer <patrick@gentoo.org>
-rw-r--r--sci-mathematics/gmp-ecm/Manifest1
-rw-r--r--sci-mathematics/gmp-ecm/gmp-ecm-7.0.4.ebuild55
2 files changed, 56 insertions, 0 deletions
diff --git a/sci-mathematics/gmp-ecm/Manifest b/sci-mathematics/gmp-ecm/Manifest
index aa8aa2b10d4..5306618db19 100644
--- a/sci-mathematics/gmp-ecm/Manifest
+++ b/sci-mathematics/gmp-ecm/Manifest
@@ -1,2 +1,3 @@
DIST gmp-ecm-6.4.3.tar.gz 944719 BLAKE2B aa07f0b6c4a4b0d3bb36b596ddbaefd259b2387fa0295a829c8e239b0edde0e1f3887bff19a6b0b67083cbec7706fa41214a21eeca8b83eb4b3f7e3cc372c113 SHA512 71ccdf3b48e96b0acad45302c87a7b17a20ad289efde212a34fb11491531b96848f1824606fdab7604874ca7d8165baba4bbfbc8424e27e8844444ad0d4f56a6
DIST gmp-ecm-6.4.4.tar.gz 941058 BLAKE2B e83f02592a8bb86285f258fefc3e302cc5168888109e7f87835b25412baf526df58e5ea38347acfd926b90fac15b4103981a14aa7b853dba0cb0168467a223e0 SHA512 039009de2d1a22de7abed2e2b843fa2bc684ddcfc45892891a24b93ad4b3640a97d2e7612ebcbdbca8db032534c226ad77c67199772b21a6139e5fa205687097
+DIST gmp-ecm-7.0.4.tar.gz 1101899 BLAKE2B 6d52364d9c752aee66510a7f6b273559bf1b7de0032fbbeff74e229ed68fd0cd1c236b480f8fc25bcad6435740e3e22b3099c8f018912918ab8f4b33dc7b8b3c SHA512 b863b9bfd26df26c3c4243686036a69110e69ca3eec5b31d4550fe713e2fac4ce70cd1d80f0614899793aa44710531aa4a21abc0fa1b99eb17f62bd92b971350
diff --git a/sci-mathematics/gmp-ecm/gmp-ecm-7.0.4.ebuild b/sci-mathematics/gmp-ecm/gmp-ecm-7.0.4.ebuild
new file mode 100644
index 00000000000..54f7a1bbd2d
--- /dev/null
+++ b/sci-mathematics/gmp-ecm/gmp-ecm-7.0.4.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+inherit autotools eutils flag-o-matic multilib
+
+DESCRIPTION="Elliptic Curve Method for Integer Factorization"
+HOMEPAGE="http://ecm.gforge.inria.fr/"
+SRC_URI="https://gforge.inria.fr/frs/download.php/36224/${P}.tar.gz"
+
+LICENSE="GPL-3 LGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+blas +custom-tune -openmp static-libs test"
+
+DEPEND="
+ dev-libs/gmp:0=
+ blas? ( sci-libs/gsl )
+ openmp? ( sys-devel/gcc:*[openmp] )"
+RDEPEND="${DEPEND}"
+
+S=${WORKDIR}/ecm-${PV}
+
+MAKEOPTS+=" -j1"
+
+src_prepare() {
+ sed -e '/libecm_la_LIBADD/s:$: -lgmp:g' -i Makefile.am || die
+ eautoreconf
+}
+
+src_configure() {
+ # --enable-shellcmd is broken
+ econf \
+ --enable-shared \
+ $(use_enable static-libs static) \
+ $(use_enable openmp) \
+ ${myconf}
+}
+
+src_compile() {
+ append-ldflags "-Wl,-z,noexecstack"
+ if use custom-tune; then
+ use amd64 && cd x86_64
+ use x86 && cd pentium4
+ emake
+ fi
+ default
+}
+
+src_install() {
+ default
+ mkdir -p "${ED}/usr/include/${PN}/"
+ cp "${S}"/*.h "${ED}/usr/include/${PN}" || die "Failed to copy headers" # needed by other apps like YAFU
+}